Subject: Re: 8169 driver with NetGear GA511 card.

From: Ben Greear <[email-masked]>
Date: Thu, 28 Oct 2004 15:49:45 -0700

Francois Romieu wrote:
> Ben Greear <[email-masked]> :
> [...]
> 
>>I'm running tests at the ethernet frame (skb) level, so I would not
>>expect the IP offload to help much.
>>
>>Do you have any performance numbers for your 8169 cards for me to
>>compare against?
> 
> 
> Gross numbers:
> - with a receiving amd64, nttcp should saturate the GigaE link;
> - halved bandwidth for Tx on the same setup. Untested since changes in -mm;
> - 10% cpu on a 100bt link;
> - TSO saves 5~7% of the cpu when it can be used.

Cool, I am glad to know the chipset can handle it at least...

>>I'll get this in a bit, as I have locked up the keyboard again.  This time,
>>I was still using the non-NAPI code which had run over-night at around 
>>5Mbps...
>>
>>I tried a different network setup, and noticed that the 8169 was only
>>negotiating 10bt/HD.  That would explain the poor performance numbers.
> 
> Call me dense but... Are the 5Mbps below in the same unit as the 30Mbps
> in your previous message (are they bytes or bits) ? If yes something is
> badly broken.

Yes, but I think now the problem is that it was stuck at 10bt/HD for whatever
reason.  There seems to be a way to lock the keyboard by trying to make the
NIC change it's negotiate settings.  I am going to try to track down exactly
how this can be reproduced with minimum number of steps...

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com